Storyden
Robots

Refresh robot provider models

Force refresh the cached model list for a Robot model provider.

POST/robots/providers/{provider}/models/refresh

Force refresh the cached model list for a Robot model provider.

Authorization

storyden-session<token>

In: cookie

Path Parameters

provider*string

Robot model provider namespace

Response Body

application/json

application/json

curl -X POST "https://example.com/robots/providers/string/models/refresh"
{  "provider": "string",  "supported": true,  "settings": {    "enabled": true,    "has_api_key": true,    "requires_api_key": true  },  "cache": {    "last_refreshed_at": "2019-08-24T14:15:22Z",    "last_error": "string",    "stale": true  },  "models": [    {      "ref": "string",      "provider": "string",      "model": "string"    }  ]}